package org.ntlab.radishforandroidstudio.cactusClient.models;


public class CameraState {
    private double distance; // キャラからの距離
    private Angle angle;
    private double tilt; // チルト(rad)
    private double fov; // 視野角(rad)

    private CameraState() {
        // JSONDecode時の呼び出し用
    }

    public CameraState(double distance, Angle angle, double tilt, double fov) {
        setDistance(distance);
        setAngle(angle);
        setTilt(tilt);
        setFov(fov);
    }

    public double getDistance() {
        return distance;
    }

    public Angle getAngle() {
        return angle;
    }

    public double getTilt() {
        return tilt;
    }

    public double getFov() {
        return fov;
    }

    public void setDistance(double distance) {
        this.distance = distance;
    }

    public void setAngle(Angle angle) {
        this.angle = angle;
    }

    public void setTilt(double tilt) {
        this.tilt = tilt;
    }

    public void setFov(double fov) {
        this.fov = fov;
    }
}